Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.ocsp
Class RevokedStatus

    java.lang.Object
      org.bouncycastle.ocsp.RevokedStatus

All Implemented Interfaces:
  CertificateStatus

    public class RevokedStatus

extends java.lang.Object
implements CertificateStatus

wrapper for the RevokedInfo object

Field Summary

Fields inherited from interface org.bouncycastle.ocsp.CertificateStatus
`GOOD`

Constructor Summary
`RevokedStatus(java.util.Date revocationDate, int reason)`
`RevokedStatus(RevokedInfo info)`

Method Summary
`int` | `getRevocationReason()` return the revocation reason.
`java.util.Date` | `getRevocationTime()`
`boolean` | `hasRevocationReason()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokedStatus

    public RevokedStatus(RevokedInfo info)

### RevokedStatus

    public RevokedStatus(java.util.Date revocationDate,
                         int reason)

Method Detail

### getRevocationTime

    public java.util.Date getRevocationTime()

### hasRevocationReason

    public boolean hasRevocationReason()

### getRevocationReason

    public int getRevocationReason()

  return the revocation reason. Note: this field is optional, test for it with hasRevocationReason() first.

  Returns:
    the revocation reason value.
  Throws:
    `java.lang.IllegalStateException` - if a reason is asked for and none is avaliable

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD